/////////////////////////////////////////////////////////////////////////////
//	Psytec USB Bus Power Controller [UBP-003]
//  PsUbpCtl.cs
//  2012/10/05 Ver.1.10
//	DLL C|[gpt@C
/////////////////////////////////////////////////////////////////////////////

using System;
using System.Text;
using System.Runtime.InteropServices;

class PsUbpCtl
{
    /////////////////////////////////////////////////////////////////////////
    // UbpSetValue - o͐ݒ(|[gw)
    //   FڑfoCXԍ(0`7)A|[gԍ(0`3)Ao͒l(0`255)
    // ߂lF=true(-1)As(@G[)=false(0)

    [DllImport("PsUbpCtl.dll")]
    public extern static bool UbpSetValue(int DeviceNo, int PortNo, byte Output);


    /////////////////////////////////////////////////////////////////////////
    // UbpSetValueAll - o͐ݒ(4|[gꊇݒ)
    //   FڑfoCXԍ(0`7)A|[g0o͒l(0`255)A|[g1o͒l(0`255)A|[g2o͒l(0`255)A|[g3o͒l(0`255)
    // ߂lF=true(-1)As(@G[)=false(0)

    [DllImport("PsUbpCtl.dll")]
    public extern static bool UbpSetValueAll(int DeviceNo, byte OutputPort0, byte OutputPort1, byte OutputPort2, byte OutputPort3);


    /////////////////////////////////////////////////////////////////////////
    // UbpSetValueAlt - o͐ݒ(ݏo)
    //   FڑfoCXԍ(0`7)A|[gԍ(0`3)Ao͒l1(0`255)Ao͒l1(0`255)Ao͎1(1/100bP)Ao͎2(1/100bP)AJԂ(0=񐔐Ȃ)
    // ߂lF=true(-1)As(@G[)=false(0)
    //   lFo͒l1̒lo͎1̎ԁAo͒l2̒lo͎2̎ԁAJԂo

    [DllImport("PsUbpCtl.dll")]
    public extern static bool UbpSetValueAlt(int DeviceNo, int PortNo, byte Output1, byte Output2, int Time1, int Time2, int Count);


    /////////////////////////////////////////////////////////////////////////
    // UbpSetValueFile - t@Cɂo͐ݒ
    //   Ft@CpXAJԂ(0=񐔐Ȃ)
    // ߂lF=0A@G[=-1At@CI[vG[=-2At@Ces=-3
    //   lFt@C̓J}؂eLXgŁA1sɏo͎ԂƊe|[go͒lLq

    [DllImport("PsUbpCtl.dll")]
    public extern static short UbpSetValueFile(string FilePath, int Count);


    /////////////////////////////////////////////////////////////////////////
    // UbpReset - o͂̃Zbg
    //   FȂ
    // ߂lFȂ
    //   lFSĂ̏o͂[ɃZbg

    [DllImport("PsUbpCtl.dll")]
    public extern static void UbpReset();
}
