// SampleDlg.cpp : Cve[V t@C

#include "stdafx.h"
#include "Sample.h"
#include "SampleDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static LPCSTR lpszErrorDevice   = " G[F@̐ڑԂmFĂB";
static LPCSTR lpszErrorFilePath = " G[Ft@C(pX)mFĂB";
static LPCSTR lpszErrorFileData = " G[Ft@CemFĂB";


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg _CAO

CSampleDlg::CSampleDlg(CWnd* pParent /*=NULL*/, LPCSTR lpszFilePath)
	: CDialog(CSampleDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSampleDlg)
	m_nDeviceNo = 0;
	m_strFilePath = _T("");
	m_strStatus = _T("");
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_strFilePath = lpszFilePath;
}

void CSampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSampleDlg)
	DDX_CBIndex(pDX, IDC_DEVICENO, m_nDeviceNo);
	DDX_Text(pDX, IDC_FILEPATH, m_strFilePath);
	DDX_Text(pDX, IDC_STATUS, m_strStatus);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSampleDlg, CDialog)
	//{{AFX_MSG_MAP(CSampleDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_HSCROLL()
	ON_BN_CLICKED(IDC_SETALL, OnSetAll)
	ON_BN_CLICKED(IDC_SETALT0, OnSetAlt0)
	ON_BN_CLICKED(IDC_SETALT1, OnSetAlt1)
	ON_BN_CLICKED(IDC_SETALT2, OnSetAlt2)
	ON_BN_CLICKED(IDC_SETALT3, OnSetAlt3)
	ON_BN_CLICKED(IDC_REFFILE, OnRefFile)
	ON_BN_CLICKED(IDC_FILESTART, OnFileStart)
	ON_BN_CLICKED(IDC_RESET, OnReset)
	ON_WM_DROPFILES()
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg bZ[W nh

/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnInitDialog

BOOL CSampleDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);	 // 傫ACRݒ
	SetIcon(m_hIcon, FALSE); // ACRݒ

	((CComboBox*)GetDlgItem(IDC_DEVICENO))->SetCurSel(0);

	for (int i = 0; i < 4; ++i)
	{
		// XC_[ݒ͈͂Zbg
		CSliderCtrl* pCtrl = (CSliderCtrl* )GetDlgItem(IDC_VALUE0 + i);
		pCtrl->SetRange(0, 255);
		pCtrl->SetPageSize(16);

		pCtrl = (CSliderCtrl* )GetDlgItem(IDC_VALUEALL0 + i);
		pCtrl->SetRange(0, 255);
		pCtrl->SetPageSize(16);

		// ݏo͐ݒ̏lZbg
		SetDlgItemInt(IDC_VALUEALT10 + i, 255);
		SetDlgItemInt(IDC_VALUEALT20 + i, 0);
		SetDlgItemInt(IDC_TIME10 + i, 10);
		SetDlgItemInt(IDC_TIME20 + i, 10);
		SetDlgItemInt(IDC_COUNT0 + i, 0);
	}

	SetDlgItemInt(IDC_FILECOUNT, 0);

	if (! m_strFilePath.IsEmpty())
	{
		// vON̈Ŏw肳ꂽt@Cw
		UpdateData(FALSE);

		OnFileStart();
	}

	return TRUE;
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnPaint

void CSampleDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // `p̃foCX ReLXg

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// NCAg̋`̈̒
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// ACR`
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnQueryDragIcon

HCURSOR CSampleDlg::OnQueryDragIcon()
{
	return (HCURSOR)m_hIcon;
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::PreTranslateMessage

BOOL CSampleDlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN && pMsg->wParam == VK_ESCAPE)
		return 0; // ESCL[ɂ_CAOȂ

	return CDialog::PreTranslateMessage(pMsg);
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnOK

void CSampleDlg::OnOK()
{
//	CDialog::OnOK(); // OK{^̖(EnterL[ɂ_CAOȂ)
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnCtlColor

HBRUSH CSampleDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);

	if (nCtlColor == CTLCOLOR_STATIC && pWnd->GetDlgCtrlID() == IDC_STATUS)
		pDC->SetTextColor(RGB(255, 0, 0)); // bZ[W̃eLXgFԂɕύX

	return hbr;
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnHScroll

void CSampleDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar)
{
	// ʐݒ (UbpSetValue)

	int nID = pScrollBar->GetDlgCtrlID();

	if (nID >= IDC_VALUE0 && nID <= IDC_VALUE3)
	{
		UpdateData();

		// XC_[̃|WVl擾
		int nPortNo = nID - IDC_VALUE0;
		int nValue = ((CSliderCtrl*)pScrollBar)->GetPos();

		if (UbpSetValue(m_nDeviceNo, nPortNo, nValue))
			m_strStatus.Empty();
		else
			m_strStatus = lpszErrorDevice;

		UpdateData(FALSE);
	}

	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnSetAll

void CSampleDlg::OnSetAll()
{
	// ꊇݒ (UbpSetValueAll)

	UpdateData();

	int nValue[4];

	for (int i = 0; i < 4; ++i)
		nValue[i] = ((CSliderCtrl*)GetDlgItem(IDC_VALUEALL0 + i))->GetPos();

	if (UbpSetValueAll(m_nDeviceNo, nValue[0], nValue[1], nValue[2], nValue[3]))
		m_strStatus.Empty();
	else
		m_strStatus = lpszErrorDevice;

	UpdateData(FALSE);
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnSetAlt0-3

void CSampleDlg::OnSetAlt0() { OnSetAlt(0); }
void CSampleDlg::OnSetAlt1() { OnSetAlt(1); }
void CSampleDlg::OnSetAlt2() { OnSetAlt(2); }
void CSampleDlg::OnSetAlt3() { OnSetAlt(3); }

void CSampleDlg::OnSetAlt(int nPortNo)
{
	// ݏo͐ݒ (UbpSetValueAlt)

	UpdateData();

	// e͒lݒ
	if (UbpSetValueAlt(m_nDeviceNo, nPortNo,
					   GetDlgItemInt(IDC_VALUEALT10 + nPortNo),	// o(1)
					   GetDlgItemInt(IDC_VALUEALT20 + nPortNo),	// o(2)
					   GetDlgItemInt(IDC_TIME10 + nPortNo),		// (1)
					   GetDlgItemInt(IDC_TIME20 + nPortNo),		// (2)
					   GetDlgItemInt(IDC_COUNT0 + nPortNo)))	// JԂ
		m_strStatus.Empty();
	else
		m_strStatus = lpszErrorDevice;

	UpdateData(FALSE);
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnRefFile

void CSampleDlg::OnRefFile()
{
	// CFileDialog NX\z
	CFileDialog* pFileDialog = new CFileDialog(TRUE, NULL, NULL, OFN_HIDEREADONLY | OFN_PATHMUSTEXIST,
											   "eLXgt@C (*.txt;*.csv)|*.txt;*.csv|"
											   "SẴt@C (*.*)|*.*||", this);
	pFileDialog->m_ofn.lpstrTitle = "J";

	CString strFilePath;

	//ut@CJv_CAO\
	if (pFileDialog->DoModal() == IDOK)
		strFilePath = pFileDialog->GetPathName();

	delete pFileDialog;

	if (! strFilePath.IsEmpty())
	{
		m_strFilePath = strFilePath;
		UpdateData(FALSE);
	}
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnFileStart

void CSampleDlg::OnFileStart()
{
	// t@Cɂݒ (UbpSetValueFile)

	UpdateData();

	switch (UbpSetValueFile(m_strFilePath, GetDlgItemInt(IDC_FILECOUNT)))
	{
	case 0:
		m_strStatus.Empty();
		break;

	case -1:
		m_strStatus = lpszErrorDevice;
		break;

	case -2:
		m_strStatus = lpszErrorFilePath;
		break;

	case -3:
		m_strStatus = lpszErrorFileData;
		break;

	default:
		break;
	}

	UpdateData(FALSE);
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnReset

void CSampleDlg::OnReset()
{
	// Zbg (UbpReset)

	UbpReset();

	m_strStatus.Empty();

	UpdateData(FALSE);
}


/////////////////////////////////////////////////////////////////////////////
// CSampleDlg::OnDropFiles

void CSampleDlg::OnDropFiles(HDROP hDropInfo)
{
	// t@Cɂݒ (UbpSetValueFile) - EBhEɃhbvꂽt@Cgp

	UpdateData();

	char szFilePath[MAX_PATH]; // t@CpX

	DragQueryFile(hDropInfo, 0, szFilePath, MAX_PATH - 1);
	DragFinish(hDropInfo);

	m_strFilePath = szFilePath;

	switch (UbpSetValueFile(m_strFilePath, GetDlgItemInt(IDC_FILECOUNT)))
	{
	case 0:
		m_strStatus.Empty();
		break;

	case -1:
		m_strStatus = lpszErrorDevice;
		break;

	case -2:
		m_strStatus = lpszErrorFilePath;
		break;

	case -3:
		m_strStatus = lpszErrorFileData;
		break;

	default:
		break;
	}

	UpdateData(FALSE);

	CDialog::OnDropFiles(hDropInfo);
}
