using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace Sample
{
    public partial class Sample : Form
    {
        static string ErrorDevice   = " G[F@̐ڑԂmFĂB";
        static string ErrorFilePath = " G[Ft@C(pX)mFĂB";
        static string ErrorFileData = " G[Ft@CemFĂB";
        
        public Sample()
        {
            InitializeComponent();
        }

        private void Sample_Load(object sender, EventArgs e)
        {
            cboDeviceNo.SelectedIndex = 0; // foCXԍ(R{{bNX)ɏl(0)ݒ
        }

        /////////////////////////////////////////////////////////////////////////
        // XN[o[쎞Cxg
        private void scrValue0_Scroll(object sender, ScrollEventArgs e)
        {
            SetValue(0, (byte)e.NewValue);
        }

        private void scrValue1_Scroll(object sender, ScrollEventArgs e)
        {
            SetValue(1, (byte)e.NewValue);
        }

        private void scrValue2_Scroll(object sender, ScrollEventArgs e)
        {
            SetValue(2, (byte)e.NewValue);
        }

        private void scrValue3_Scroll(object sender, ScrollEventArgs e)
        {
            SetValue(3, (byte)e.NewValue);
        }

        private void SetValue(int PortNo, byte Output)
        {
            // ʐݒ (UbpSetValue)

            if (PsUbpCtl.UbpSetValue(cboDeviceNo.SelectedIndex, PortNo, Output))
                lblStatus.Text = null;
            else
                lblStatus.Text = ErrorDevice;
        }

        /////////////////////////////////////////////////////////////////////////
        private void btnSetAll_Click(object sender, EventArgs e)
        {
            // ꊇݒ (UbpSetValueAll)

            if (PsUbpCtl.UbpSetValueAll(cboDeviceNo.SelectedIndex, (byte)scrValueAll0.Value, (byte)scrValueAll1.Value, (byte)scrValueAll2.Value, (byte)scrValueAll3.Value))
                lblStatus.Text = null;
            else
                lblStatus.Text = ErrorDevice;
        }

        /////////////////////////////////////////////////////////////////////////
        private void btnSetAlt0_Click(object sender, EventArgs e)
        {
            byte Output1, Output2;
            int Time1, Time2, Count;

            if (!byte.TryParse(txtValueAlt10.Text, out Output1)) 
                Output1 = 0;

            if (!byte.TryParse(txtValueAlt20.Text, out Output2))
                Output2 = 0;

            if (!int.TryParse(txtTime10.Text, out Time1))
                Time1 = 0;

            if (!int.TryParse(txtTime20.Text, out Time2))
                Time2 = 0;

            if (!int.TryParse(txtCount0.Text, out Count))
                Count = 0;

            SetValueAlt(0, Output1, Output2, Time1, Time2, Count);
        }

        private void btnSetAlt1_Click(object sender, EventArgs e)
        {
            byte Output1, Output2;
            int Time1, Time2, Count;

            if (!byte.TryParse(txtValueAlt11.Text, out Output1))
                Output1 = 0;

            if (!byte.TryParse(txtValueAlt21.Text, out Output2))
                Output2 = 0;

            if (!int.TryParse(txtTime11.Text, out Time1))
                Time1 = 0;

            if (!int.TryParse(txtTime21.Text, out Time2))
                Time2 = 0;

            if (!int.TryParse(txtCount1.Text, out Count))
                Count = 0;

            SetValueAlt(1, Output1, Output2, Time1, Time2, Count);
        }

        private void btnSetAlt2_Click(object sender, EventArgs e)
        {
            byte Output1, Output2;
            int Time1, Time2, Count;

            if (!byte.TryParse(txtValueAlt12.Text, out Output1))
                Output1 = 0;

            if (!byte.TryParse(txtValueAlt22.Text, out Output2))
                Output2 = 0;

            if (!int.TryParse(txtTime12.Text, out Time1))
                Time1 = 0;

            if (!int.TryParse(txtTime22.Text, out Time2))
                Time2 = 0;

            if (!int.TryParse(txtCount2.Text, out Count))
                Count = 0;

            SetValueAlt(2, Output1, Output2, Time1, Time2, Count);
        }

        private void btnSetAlt3_Click(object sender, EventArgs e)
        {
            byte Output1, Output2;
            int Time1, Time2, Count;

            if (!byte.TryParse(txtValueAlt13.Text, out Output1))
                Output1 = 0;

            if (!byte.TryParse(txtValueAlt23.Text, out Output2))
                Output2 = 0;

            if (!int.TryParse(txtTime13.Text, out Time1))
                Time1 = 0;

            if (!int.TryParse(txtTime23.Text, out Time2))
                Time2 = 0;

            if (!int.TryParse(txtCount3.Text, out Count))
                Count = 0;

            SetValueAlt(3, Output1, Output2, Time1, Time2, Count);
        }

        private void SetValueAlt(int PortNo, byte Output1, byte Output2, int Time1, int Time2, int Count)
        {
            // ݏo͐ݒ (UbpSetValueAlt)

            if (PsUbpCtl.UbpSetValueAlt(cboDeviceNo.SelectedIndex, PortNo, Output1, Output2, Time1, Time2, Count))
                lblStatus.Text = null;
            else
                lblStatus.Text = ErrorDevice;
        }

        /////////////////////////////////////////////////////////////////////////
        private void btnRefFile_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();

            openFileDialog1.Filter = "eLXgt@C (*.txt;*.csv)|*.txt;*.csv|" +
                                     "ׂẴt@C (*.*)|*.*";

            openFileDialog1.RestoreDirectory = true;

            // ut@CJv_CAO\
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
                txtFilePath.Text = openFileDialog1.FileName;
        }

        private void btnFileStart_Click(object sender, EventArgs e)
        {
            // t@Cɂݒ (UbpSetValueFile)
            int Count;

            if (!int.TryParse(txtFileCount.Text, out Count))
                Count = 0;

            switch (PsUbpCtl.UbpSetValueFile(txtFilePath.Text, Count))
            {
            case 0:
                lblStatus.Text = null;
                break;

            case -1:
                lblStatus.Text = ErrorDevice;
                break;
                
            case -2:
                lblStatus.Text = ErrorFilePath;
                break;

            case -3:
                lblStatus.Text = ErrorFileData;
                break;

            default:
                break;
            }
        }

        /////////////////////////////////////////////////////////////////////////
        private void btnReset_Click(object sender, EventArgs e)
        {
            // Zbg (UbpReset)
            
            PsUbpCtl.UbpReset();
        }
    }
}